## collectd 5.5.2

=== debian/changelog ===
collectd (5.5.2-1) unstable; urgency=high

  * New upstream release.
    - Fix heap overflow in the network plugin. Emilien Gaspar has identified a
      heap overflow in parse_packet(), the function used by the network plugin
      to parse incoming network packets. Thanks to Florian Forster for
      reporting the bug in Debian. (Closes: #832507, CVE-2016-6254)
    - Fix improper usage of gcry_control. A team of security researchers at
      Columbia University and the University of Virginia discovered that
      GCrypt's gcry_control is sometimes called without checking its return
      value for an error. This may cause the program to be initialized without
      the desired, secure settings. (Closes: #832577)
  * debian/patches:
    - bts832577-gcry-control.patch: Update for 5.5.2. Mostly part of the new
      upstream release, except for: Don't abort() if gcrypt initialization
      failed.
    - Drop bts823012_librrd8.patch; merged upstream.
  * Rebuild with linux-libc-dev >= 4.6 (now in testing and unstable) to
    accommodate a change to rtnl_link_stats64. Thanks to Gábor Gombás for
    reporting this (Closes: #829634).

 -- Sebastian Harl <tokkee@debian.org>  Fri, 29 Jul 2016 00:02:11 +0200

collectd (5.5.1-5) unstable; urgency=low

  * debian/control, debian/rules:
    - Disable the sigrok plugin on non-Linux; restrict build dependency to
      linux-any; thanks to Andreas Beckmann for reporting this
      (Closes: #825606).
  * debian/rules:
    - Fix failure to build twice in a row introduced by dh_autoreconf_clean;
      drop the separate config.status target and, hence, a dependency on the
      configure script.
  * debian/patches/:
    - Added gcc6.patch: Fix FTBFS with GCC 6; thanks to Lucas Nussbaum for
      reporting this (Closes: #831194).

 -- Sebastian Harl <tokkee@debian.org>  Sun, 17 Jul 2016 23:30:33 +0200

collectd (5.4.1-6+deb8u1) jessie-security; urgency=high

  * debian/patches/CVE-2016-6254.dpatch: Fix heap overflow in the network
    plugin. Emilien Gaspar has identified a heap overflow in parse_packet(),
    the function used by the network plugin to parse incoming network packets.
    Thanks to Florian Forster for reporting the bug in Debian.
    (Closes: #832507, CVE-2016-6254)
  * debian/patches/bts832577-gcry-control.dpatch: Fix improper usage of
    gcry_control. A team of security researchers at Columbia University and
    the University of Virginia discovered that GCrypt's gcry_control is
    sometimes called without checking its return value for an error. This may
    cause the program to be initialized without the desired, secure settings.
    (Closes: #832577)

 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jul 2016 22:25:08 +0200

collectd (5.1.0-3+deb7u1) wheezy-security; urgency=high

  * debian/patches/CVE-2016-6254.dpatch: Fix heap overflow in the network
    plugin. Emilien Gaspar has identified a heap overflow in parse_packet(),
    the function used by the network plugin to parse incoming network packets.
    Thanks to Florian Forster for reporting the bug in Debian.
    (Closes: #832507, CVE-2016-6254)
  * debian/patches/bts832577-gcry-control.dpatch: Fix improper usage of
    gcry_control. A team of security researchers at Columbia University and
    the University of Virginia discovered that GCrypt's gcry_control is
    sometimes called without checking its return value for an error. This may
    cause the program to be initialized without the desired, secure settings.
    (Closes: #832577)

 -- Sebastian Harl <tokkee@debian.org>  Thu, 28 Jul 2016 20:52:12 +0200
