=== debian/rules ===
--- 
+++ 
@@ -85,11 +85,19 @@
 # xmms1 is required for the xmms plugin.
 confflags += --disable-xmms
 
+# protobuf-compiler >= 3.0.0 and libgrpc++ are required for the grpc plugin.
+confflags += --disable-grpc
+
 # These plugins are Linux-specific.
 ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
 	confflags += \
+		--disable-barometer \
 		--disable-cgroups \
+		--disable-cpusleep \
+		--disable-drbd \
 		--disable-ethstat \
+		--disable-fhcount \
+		--disable-ipc \
 		--disable-iptables \
 		--disable-ipvs \
 		--disable-lvm \
@@ -111,6 +119,10 @@
 		--disable-pf
 endif
 
+# This plugin is Solaris-specific.
+confflags += \
+		--disable-zone
+
 # These plugins have not been ported to FreeBSD yet.
 ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
 	# Work-around an incomplete check for kvm functionality
@@ -122,7 +134,6 @@
 		--disable-conntrack \
 		--disable-contextswitch \
 		--disable-cpufreq \
-		--disable-disk \
 		--disable-entropy \
 		--disable-fscache \
 		--disable-irq \
@@ -149,6 +160,12 @@
 		--disable-turbostat
 endif
 
+# This plugin is x86 and arm specific.
+ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_BUILD_ARCH)))
+	confflags += \
+		--disable-xencpu
+endif
+
 # libatasmart isn't available on these platforms.
 ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
 	confflags += --disable-smart
@@ -183,6 +200,7 @@
 		|| ( status=$$?; cat config.log; exit $$status )
 
 	$(MAKE)
+	dh_auto_test
 	perl ./debian/bin/check_plugins.pl
 	
 	touch build-stamp
@@ -217,7 +235,7 @@
 			libname=$$(basename $$lib); \
 			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
 			for dir in $$(find . -mindepth 1 -type d); do \
-				sed -r -i -e "s,(include\s+)\".*$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
+				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
 			done; \
 		done )
 
@@ -263,10 +281,3 @@
 	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
 	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
 		contrib/collection3/ contrib/php-collection/ \
-		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
-		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
-		contrib/SpamAssassin/ contrib/iptables/ contrib/cussh.pl \
-		contrib/snmp-data.conf contrib/add_rra.sh contrib/network-proxy.py \
-		contrib/collectd_network.py contrib/collectd_unixsock.py \
-		contrib/snmp-probe-host.px contrib/GenericJMX.conf \
-		contrib/postgresql \
